package com.hwrj.cloud.admin.controller;

import com.hwrj.cloud.admin.dao.OmsPreItemDao;
import com.hwrj.cloud.admin.dto.param.PreItemWebPageParm;
import com.hwrj.cloud.admin.model.OmsPreItem;
import com.hwrj.cloud.admin.service.OmsPreItemService;
import com.hwrj.cloud.common.api.CommonPage;
import com.hwrj.cloud.common.api.CommonResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@RestController
@Slf4j
@Api(tags = "意向商品接口")
@RequestMapping("/oms/pre")
public class OmsPreItemController {
    @Autowired
    private OmsPreItemService omsPreItemService;

    @GetMapping("get")
    @ApiOperation(value = "获取意向商品接口")
    public CommonResult getOmsPreItem(){
        List<OmsPreItem> omsPreItems = omsPreItemService.selectOmsPreItem();
        return CommonResult.success(omsPreItems);
    }

    @GetMapping(value = "/web/list")
    @ApiOperation("后台后去意向详情")
    @ResponseBody
    public CommonResult weblist(PreItemWebPageParm preItemWebPageParm){

        List<OmsPreItem> omsPreItemListOwn = omsPreItemService.weblist(preItemWebPageParm);

        return CommonResult.success(CommonPage.restPage(omsPreItemListOwn));
    }


    @ApiOperation(value = "删除商品意向")
    @DeleteMapping
    public CommonResult delete(@RequestParam(value = "id",required = true)Long id){

        omsPreItemService.delete(id);
        return CommonResult.success();
    }
}
